godo.Databases.UpdateAdvancedMySQLConfig()
Generated on 5 Nov 2026
from godo version
v1.236.0
Usage
client.Databases.UpdateAdvancedMySQLConfig(ctx context.Context, databaseID string, config *godo.AdvancedMySQLConfigUpdate) (*godo.Response, error)Description
UpdateAdvancedMySQLConfig updates the config for an advanced_mysql database cluster.
This method sends a PATCH request to /v2/databases/{}/config.
Parameters
databaseIDstring requiredconfig*godo.AdvancedMySQLConfigUpdate required
Fields of godo.AdvancedMySQLConfigUpdate
AdvancedMySQLConfigUpdate is the PATCH payload for advanced_mysql database clusters.
MySQLParametersmap[string]string
Returns
- *godo.Response
The HTTP response, with pagination
Links,Meta, andRatelimit information.- error
Non-nil when the request fails. API errors are returned as
*godo.ErrorResponse.
Fields of godo.Response
Response is a DigitalOcean response. This wraps the standard http.Response returned from DigitalOcean.
Response*http.ResponseLinks*godo.LinksLinksthat were returned with the response. These are parsed from
request body and not the header.Meta*godo.MetaMetadescribes generic information about the response.MonitorstringMonitoring URI
Rategodo.Rate
Request Sample
More Information
See PATCH /v2/databases/{}/config in the API reference for additional detail on responses, headers, parameters, and more.
See the Go package documentation for the source of this method.